Page MenuHomePhabricator

Aligning FlaggedRevision to WikimediaUI color palette received negative feedback
Closed, ResolvedPublic

Description

Aligning FlaggedRevision to WikimediaUI color palette received negative feedback by several users of Polish Wikipedia.
We need to look deeper into the before/after state and address the feedback about low legibility and problems on less distinction of the important parts: (Citing with help of Google Translate; Polish speakers might please correct this, if wrong):

Now pending edits are hardly highlighted and questionable - piercing bright. In my previous system it was better. The only thing that can change it, a better color distinction between doubtful editions and unlabeled or immediately passwords.

Event Timeline

Volker_E created this task.Dec 3 2016, 1:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2016, 1:25 AM

Okay, I think I might know what's going on here.


And

These are RED90 and YELLOW90. IMO They should be 70 instead so they are bright enough and also not too dark (third use case for T151938: Add Yellow70 to the color palette)
But definitely @Volker_E knows better :)

@Ladsgroup Are there any before (the patch) screenshots available to have a direct comparison of the change?

Stryn added a subscriber: Stryn.Dec 3 2016, 7:10 PM

I used Inspect Element and the patch values to show the difference:
Before the alignment:


After:

Here's the old version of T152258#2843879:

This comment was removed by Ladsgroup.
Lothar added a subscriber: Lothar.Dec 16 2016, 7:46 AM

Exactly. It was #FFEEAA color, which IMO was much more visible than present one.

Change 331983 had a related patch set uploaded (by Ladsgroup):
Use darker yellow for .flaggedrevs-pending

https://gerrit.wikimedia.org/r/331983

matmarex removed a subscriber: matmarex.Jan 15 2017, 1:19 AM

Change 331983 merged by jenkins-bot:
Use darker yellow for .flaggedrevs-pending

https://gerrit.wikimedia.org/r/331983

Volker_E reassigned this task from Volker_E to Ladsgroup.Jan 22 2017, 1:48 AM
Volker_E removed a project: Patch-For-Review.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 22 2017, 1:48 AM
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Jan 22 2017, 3:02 AM

@PeterBowman @Stryn @Lothar It'd be great to get your feedback before closing this as resolved.

Stryn added a comment.Jan 30 2017, 7:44 PM

Looks better now, I've updated the colours on help page at fiwiki.

Much better now, although I find it a bit too hard to tell the difference between unchecked pages and pending edits. Compare:

Old styles:

New styles:

On the other hand, I haven't observed any negative feedback on plwiki nor plwikt since the last changes.

Volker_E closed this task as Resolved.Jan 30 2017, 8:12 PM

@PeterBowman Thanks for the screenshots! I guess the silence derives from the fact, that the color is just another visual cue. It's already bolded and the background acts as additional amplifier. Will change this to resolved. If there are new comments, we can revisit.

Like @PeterBowman wrote - much better than previous one

PeterBowman updated the task description. (Show Details)Jan 31 2017, 2:38 PM